.org 0
	rjmp   RESET

RESET:
	ldi	   r16, low(RAMEND)		; Define stack
	out	   SPL, r16
	ldi	   r16, high(RAMEND)
	out	   SPH, r16

	.include "m32def.inc"
	.include "lcd.inc"			; Include HD44780 command file

	call   LCDINIT				; Initialize LCD

	ldi    r17, 0b11001111
	call   LCDPRTBIN
	ldi    r17, '!'
	call   LCDPRTCHAR
	call   LCDGOROW2
	ldi    r17, 'H'
	call   LCDPRTCHAR
	call   LCDGOR2
	ldi    r17, 'i'
	call   LCDPRTCHAR
	
STOP:
	rjmp   STOP

